> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 自動化イベントのスキーマを取得

> サポートされているすべてのトリガーイベントスキーマを、まずソース名、次にイベント名をキーとして返します。

各スキーマには、イベントのペイロードフィールド、条件で使用できる演算子、
有効な `replies` 動詞が記述されています。これにより、呼び出し元は作成および更新エンドポイント用の
有効な `triggers` を構築できます。

<div id="permissions">
  ## 権限
</div>

組織レベルの `ViewOrgAutomations` 権限を持つサービスユーザーが必要です。

<div id="usage">
  ## 使用方法
</div>

自動化を構築する前に、このエンドポイントを呼び出してください。サポートされているすべてのトリガーイベントタイプ (ソース、イベント名の順にキー付け) と、そのペイロードフィールド、条件で使用できる演算子、有効な `replies` 動詞が返されます。これにより、作成および更新エンドポイント用の有効な `triggers` を構築できます。組織で有効になっていないソースは除外されます。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/automations/schemas
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/automations/schemas:
    get:
      tags:
        - automations
      summary: 自動化イベントのスキーマを取得
      description: |-
        サポートされているすべてのトリガーイベントスキーマを、まずソース名、次にイベント名をキーとして返します。

        各スキーマには、イベントのペイロードフィールド、条件で使用できる演算子、
        有効な `replies` 動詞が記述されています。これにより、呼び出し元は作成および更新エンドポイント用の
        有効な `triggers` を構築できます。
      operationId: >-
        handle_get_automation_schemas_v3_organizations__org_id__automations_schemas_get
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationSchemasResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    AutomationSchemasResponse:
      additionalProperties: false
      properties:
        sources:
          additionalProperties:
            additionalProperties:
              $ref: '#/components/schemas/AutomationEventSchemaResponse'
            type: object
          description: イベントソース → イベント名 → スキーマ。
          title: Sources
          type: object
        update_semantics:
          description: >-
            この組織で有効な PATCH セマンティクス:
            'replace_groups'（リクエストに含まれる設定グループが、保存済みのグループ全体を置き換える）または
            'merge_patch'（オブジェクトには RFC 7396 を適用:
            存在するグループ内で省略されたメンバーは保存済みの値を保持し、明示的な null
            はクリアされる。リストのメンバーシップは引き続き全体が置き換えられる。削除するには、その要素を除いたリストを再送信する。ただし、両方に同じ種類がそれぞれ
            1
            つだけ存在する場合、送信した各要素は同じ種類の保存済み要素にマージされる。種類が重複する場合は、完全に再指定する必要がある）。オープン列挙型
            — クライアントは新しい値を許容する必要があります。
          title: Update Semantics
          type: string
      required:
        - update_semantics
        - sources
      title: AutomationSchemasResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    AutomationEventSchemaResponse:
      additionalProperties: false
      properties:
        category:
          title: Category
          type: string
        event_type:
          title: Event Type
          type: string
        fields:
          additionalProperties:
            $ref: '#/components/schemas/AutomationSchemaFieldDef'
          description: 条件フィールドパス → フィールド定義（type、label、required、options、...）。
          title: Fields
          type: object
        name:
          title: Name
          type: string
        supported_replies:
          description: このイベントタイプで有効な replies[].type の動詞。
          items:
            type: string
          title: Supported Replies
          type: array
      required:
        - event_type
        - name
        - category
        - supported_replies
        - fields
      title: AutomationEventSchemaResponse
      type: object
    AutomationSchemaFieldDef:
      additionalProperties: false
      description: |-
        条件フィールド定義をフラット化したビュー。

        種類固有の属性（``options``、``min``/``max``/``unit``、
        ``granularity``、``placeholder``）は、該当する``type``に対してのみ
        設定されます。
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        fixed:
          default: false
          title: Fixed
          type: boolean
        granularity:
          anyOf:
            - enum:
                - date
                - datetime
              type: string
            - type: 'null'
          title: Granularity
        label:
          title: Label
          type: string
        max:
          anyOf:
            - type: number
            - type: 'null'
          title: Max
        min:
          anyOf:
            - type: number
            - type: 'null'
          title: Min
        multiple:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Multiple
        options:
          anyOf:
            - items:
                $ref: '#/components/schemas/AutomationSchemaSelectOption'
              type: array
            - type: 'null'
          title: Options
        placeholder:
          anyOf:
            - type: string
            - type: 'null'
          title: Placeholder
        required:
          default: false
          title: Required
          type: boolean
        type:
          enum:
            - string
            - number
            - boolean
            - date
            - select
            - rrule
            - slack_channel
            - linear_team
            - incident_io_team
            - incident_io_severity
            - incident_io_status
            - incident_io_incident_type
            - github_repo
            - gitlab_repo
            - linear_label
            - linear_state
            - linear_assignee
            - linear_project
            - jira_project
            - jira_label
            - jira_status
            - jira_assignee
            - jira_epic
            - slack_user
            - slack_reaction
            - pylon_tag
            - pylon_status
            - file_paths
          title: Type
          type: string
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
      required:
        - type
        - label
      title: AutomationSchemaFieldDef
      type: object
    AutomationSchemaSelectOption:
      additionalProperties: false
      properties:
        label:
          title: Label
          type: string
        value:
          title: Value
          type: string
      required:
        - value
        - label
      title: AutomationSchemaSelectOption
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````